/******************************************************************************

   blink_user_led.h - Prototypes for Routines to intialze and blink the USER 
                      LEDs using a PWM for the Lincoln 60
                      
                      by Micromint Support <support@micromint.com>    June-2011

*******************************************************************************/
#ifndef __blink_user_led_H__
#define __blink_user_led_H__

#include "lpc17xx_pinsel.h"
#include "lpc17xx_pwm.h"
#include "lpc17xx_clkpwr.h"
#include "lpc17xx_timer.h"

#include "lincoln_board.h"

/*******************************************************************************

 Prototypes

*******************************************************************************/
void Init_User_LED_PWM(void);
void Init_Green_LED_PWM(void);
void Blink_Green_LED_PWM(uint32_t uint32_tFrequency);
void Init_Yellow_LED_PWM(void);
void Blink_Yellow_LED_PWM(uint32_t uint32_tFrequency);                           
void Blink_Yellow_LED_TIMER(uint32_t uint32_tFrequency); 
void Stop_Yellow_LED_Timer(void);
#endif /* __blink_user_led_H__ */
